import {
	DominionCard,
	TYPE_ACTION,
	TYPE_DURATION,
	TYPE_REACTION,
	TYPE_TREASURE,
	TYPE_VICTORY,
} from "./types.ts";

export const sampleCards: DominionCard[] = [
	{
		orientation: "card",
		title: "Title",
		description:
			"+*\n\nReveal the top card of your deck. If it's an Action card, +1 Action. If it has ^ in its cost, +1 Card.",
		types: [TYPE_ACTION, TYPE_DURATION, TYPE_REACTION],
		image: "https://wiki.dominionstrategy.com/images/7/76/AdventurerArt.jpg",
		expansionIcon: "",
		artist: "Dall-E",
		author: "John Doe",
		version: "",
		cost: "@8",
		preview: "",
	},
	{
		orientation: "card",
		title: "Market",
		description: "+1 Card\n+1 Action\n+1 Buy\n+$1",
		types: [TYPE_ACTION],
		image: "",
		expansionIcon: "",
		artist: "Leonardo DaVinci",
		author: "Jane Smith",
		version: "",
		cost: "$4",
		preview: "",
	},
	{
		orientation: "card",
		title: "Flask",
		description:
			"+2 Cards\n\nAt the start of your Clean-up phase, you may put a card from your hand onto your deck.",
		types: [TYPE_TREASURE],
		image: "",
		expansionIcon: "",
		artist: "",
		author: "",
		version: "",
		cost: "$6",
		preview: "",
	},
	{
		orientation: "card",
		title: "VP Card",
		description: "Worth 1% per 3 cards you have that cost $4 or $5.",
		types: [TYPE_VICTORY],
		image: "",
		expansionIcon: "",
		artist: "",
		author: "",
		version: "",
		cost: "$3",
		preview: "",
	},
	{
		orientation: "card",
		title: "Nobles",
		description: "Choose one: +3 Cards, or +2 Actions.\n\n\n-\n\n\n2%",
		types: [TYPE_ACTION, TYPE_VICTORY],
		image: "",
		expansionIcon: "",
		artist: "",
		author: "",
		version: "",
		cost: "$6",
		preview: "",
	},
];
